MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004955ATutorSessionpublic2012-02-16 09:562012-07-26 10:00
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.4 
Target VersionFixed in Version2.1 
Summary0004955: timeout warning needed
DescriptionA login timeout is currently set to 15 minutes, a reasonable amount of time to ensure those accessing via public workstations are logged out if they leave a session without logging out. But, this may not be long enough for someone authoring content of forums posts for instance (even though they should be writing long texts in an editor). As per WCAG 2.0 0000002.2.1 a warning should popup a minute or two before the timeout occurs that allows a user to extend the session for another 15 minutes.
TagsNo tags attached.
Affects versionSVN
SVN Revision#4f7fac4..78085ec atutor_2_0_3-multisite -> atutor_2_0_3-multisite
Attached Files

- Relationships

-  Notes
(0005579)
greg (administrator)
2012-06-07 15:05

Created new jquery based timeout warning dialog. Reset session.gc_maxlife to 20 minutes, from 10 hours, when expired, triggers the timeout warning. User has 5 minutes to respond either logout or continue the session, and if no response, is automatically logged out
(0005763)
greg (administrator)
2012-07-26 10:00

closed for ATutor 2.1

- Issue History
Date Modified Username Field Change
2012-02-16 09:56 greg New Issue
2012-06-07 15:05 greg SVN Revision# => 4f7fac4..78085ec atutor_2_0_3-multisite -> atutor_2_0_3-multisite
2012-06-07 15:05 greg Note Added: 0005579
2012-06-07 15:05 greg Status new => resolved
2012-06-07 15:05 greg Fixed in Version => 2.1
2012-06-07 15:05 greg Resolution open => fixed
2012-06-07 15:05 greg Assigned To => greg
2012-07-26 10:00 greg Note Added: 0005763
2012-07-26 10:00 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker